aboutsummaryrefslogtreecommitdiffstats
path: root/utils
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2018-09-11 22:20:04 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2018-09-27 13:24:00 +0200
commitf7658cb277b4dd460510f49fff7a4a17efae1051 (patch)
tree4e489eacb621a3a89f9df7abd39172cf028b0fe8 /utils
parentdde9d4700464db956f97fb0a5ee9338d57f362c6 (diff)
Add shortcut script for ci tests
call with ./run-flounder-ci-tests 5.99.x lava-tool needs the auth-token setup. Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'utils')
-rwxr-xr-xutils/run-flounder-ci-tests19
1 files changed, 19 insertions, 0 deletions
diff --git a/utils/run-flounder-ci-tests b/utils/run-flounder-ci-tests
new file mode 100755
index 0000000..0ca408d
--- /dev/null
+++ b/utils/run-flounder-ci-tests
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+
+
+SERVER="https://jsmoeller@lava.automotivelinux.org"
+MACHINES="dra7xx-evm m3ulcb qemux86-64 raspberrypi3"
+AGLVERSION="$1"
+
+if test x"" = x"${AGLVERSION}" ; then
+ echo "Need to specify version number to test"
+ exit 1
+fi
+
+for MACHINE in $MACHINES ; do
+
+./create-jobs.py --machine ${MACHINE} --url https://download.automotivelinux.org/AGL/upload/ci/flounder/${AGLVERSION}/${MACHINE}/deploy/images/${MACHINE}/ --test all --build-type release -n AGL-Flounder-${AGLVERSION}-${MACHINE} > /tmp/1.yaml
+lava-tool submit-job https://jsmoeller@lava.automotivelinux.org /tmp/1.yaml
+
+done \ No newline at end of file